from Products.CMFCore.CMFCorePermissions import AddPortalContent
from Products.Archetypes.public import DisplayList
import string

ADD_CONTENT_PERMISSION = AddPortalContent
PROJECTNAME = "ATAudio"
SKINS_DIR = 'skins'

## the /var subdirectory on the file system where the files will be stored
## the default is $INSTANCE/var/files
FS_DIRECTORY = "files"

## maximum upload size for ATAudio in MB. 
## 0 is infinite
MAX_FILE_SIZE = 0.0

## Note: the MaxFileSizeValidator is included with the Archetypes validation product
## specifically, the SupplValidators.py.

GLOBALS = globals()

## which version of ATContentTypes?
try:
    from Products.ATContentTypes.content.file import ATFileSchema
except ImportError:
    HAS_ATCT_1_0 = False
    pass
else:
    HAS_ATCT_1_0 = True
    del ATFileSchema

# check to see if ExternalStorage is installed
try:
    from Products.ExternalStorage.ExternalStorage import ExternalStorage
    HAS_EXT_STORAGE = True
except ImportError:
    HAS_EXT_STORAGE = False
    pass

EXT_STORAGE_ENABLE = True

# check to see if you have the supplementary validators installed 
try:
    from Products.validation.validators.SupplValidators import MaxSizeValidator
    HAS_MAXSIZE_VALIDATOR = True
except ImportError:
    HAS_MAXSIZE_VALIDATOR = False
    pass

# check to see if the Plodcasting product is installed
try:
    from Products.Plodcasting.Show import Show
    HAS_PLODCASTING=True
except ImportError:
    HAS_PLODCASTING=False
    pass

import genres
GENRES = genres.GENRES

ADDITIONAL_GENRES = ('Podcast', 'Interview')