#! /bin/bash

PRODUCT=ATAudio
VERSION=0.5.0
SKINS_DIR=ataudio

##
DIR=$PRODUCT
FILE=$PRODUCT-$VERSION
TAR=$FILE.tar
TGZ=$FILE.tar.gz
MD5=$TGZ.md5
ZIP=$FILE.zip

mkdir -p $DIR

echo "Copying .py and .txt files"
cp *.py $DIR
cp *.txt $DIR

echo "Copying Extensions"
mkdir -p $DIR/Extensions
cp Extensions/*.py $DIR/Extensions

#mkdir -p $DIR/tests
#cp tests/*.py $DIR/tests

echo "Copying skins"
mkdir -p $DIR/skins
mkdir -p $DIR/skins/$SKINS_DIR
echo "Copying page templates"
cp skins/$SKINS_DIR/*.pt skins/$SKINS_DIR/*.cpt $DIR/skins/$SKINS_DIR 
echo "Copying python scripts"
cp skins/$SKINS_DIR/*.py skins/$SKINS_DIR/*.cpy $DIR/skins/$SKINS_DIR
echo "Copying images"
cp skins/$SKINS_DIR/*.gif skins/$SKINS_DIR/*.png $DIR/skins/$SKINS_DIR

echo "Copying docs"
mkdir -p $DIR/docs
cp docs/*.txt $DIR/docs

echo "Making tarball"
tar -cvf $TAR $DIR
gzip $TAR
zip -r $ZIP $DIR 
rm -rf $DIR
md5sum $TGZ >$MD5

#echo "Copying tarball to remote server"

#echo "Removing tarball and zip archive"
# rm $TGZ $MD5
# rm $ZIP
